//
// QtTUIOPaintDemo
//
// mytuiolistener.cpp
// Copyright 2013 Touch-Base Ltd. All Rights Reserved
//

#include <QDebug>
#include <QPointF>
#include "mytuiolistener.h"

MyTuioListener::MyTuioListener()
{
}

// This program only responds to TUIO cursors, so the TUIO object functions won't do anything:

void MyTuioListener::addTuioObject(TuioObject *tobj) {}

void MyTuioListener::updateTuioObject(TuioObject *tobj) {}

void MyTuioListener::removeTuioObject(TuioObject *tobj) {}

void MyTuioListener::addTuioCursor(TuioCursor *tcur)
{
	QPointF p;
	p.setX(tcur->getPosition().getX());
	p.setY(tcur->getPosition().getY());

	paintWidget->addTouch(tcur->getCursorID(), p);
}

void MyTuioListener::updateTuioCursor(TuioCursor *tcur)
{
	QPointF p;
	p.setX(tcur->getPosition().getX());
	p.setY(tcur->getPosition().getY());

	paintWidget->updateTouch(tcur->getCursorID(), p);
}

void MyTuioListener::removeTuioCursor(TuioCursor *tcur)
{
    paintWidget->removeTouch(tcur->getCursorID());
}

void MyTuioListener::refresh(TuioTime ftime) {}
