//
// QtTUIOPaintDemo
//
// qttuiopaintdemo.cpp
// Copyright 2013 Touch-Base Ltd. All Rights Reserved
//

#include "qttuiopaintdemo.h"
#include "ui_qttuiopaintdemo.h"

QtTUIOPaintDemo::QtTUIOPaintDemo(QWidget *parent) :
	QWidget(parent),
	ui(new Ui::QtTUIOPaintDemo)
{
	ui->setupUi(this);

	// Set up TUIO client and listener:
	listener = new MyTuioListener();
	listener->paintWidget = ui->paintWidget;
	client = new TuioClient(3333);
	client->addTuioListener(listener);
	client->connect();

	QString windowTitle = QString("Qt TUIO Paint Demo (") + QString(169) + QString("2015 Touch-Base Ltd.)");
	this->setWindowTitle(windowTitle);
	ui->paintWidget->setTouchLabel("TUIO Cursor");
}

QtTUIOPaintDemo::~QtTUIOPaintDemo()
{
	delete ui;

	// Take down TUIO client:
	client->disconnect();
	delete listener;
	delete client;
}
